blog/urls.py
from django.urls import path
from .views import (
    Category_List,
    ArticleList,
    ArticleDetailView,
    Author_List,
    Article_preview
)

app_name = 'blog'

urlpatterns = [
    path('', ArticleList.as_view(), name='home'),
    path('page/<int:page>', ArticleList.as_view(), name='homes'),
    path('article/<slug:slug>', ArticleDetailView.as_view(), name='detail'),
    path('Cartegory/<slug:slug>', Category_List.as_view(), name='Category'),
    path('Cartegory/<slug:slug>/page/<int:page>', Category_List.as_view(), name='Categoryes'),
    path('author/<slug:username>', Author_List.as_view(), name='author'),
    path('author/<slug:username>/page/<int:page>', Author_List.as_view(), name='authores'),
    path('preview/<int:pk>', Article_preview.as_view(), name='preview'),

]

my_blog/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static
# from .views import header
from account import views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('login/',views.LoginView.as_view(), name='login'),
    path('', include('blog.urls')),
    path('', include('django.contrib.auth.urls')),
    path('', include('account.urls')),
    # path('headering', header, name='header'),
]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

templates/base.html
{% load static %}


<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>{% block title %} {% endblock %}</title>

 {% include 'csscripts.html' %}

</head>

<body>
  {% include 'header.html' %}

  {% block contant %}

  {% endblock %}

  {% include 'footer.html' %}

  {% include 'jsccripts.html' %}

</body>

</html>

templates/csscripts.html
  {% load static %}
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Clean Blog - Start Bootstrap Theme</title>

  <!-- Bootstrap core CSS -->
  <link href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">

  <!-- Custom fonts for this template -->
  <link href="{% static 'vendor/fontawesome-free/css/all.min.css' %}" rel="stylesheet" type="text/css">
  <link href='https://fonts.googleapis.com/css?family=Lora:400,700,400italic,700italic' rel='stylesheet' type='text/css'>
  <link href="{% static 'css/mysty;e.css' %}" rel="stylesheet" type="text/css">
  <link href='https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800' rel='stylesheet' type='text/css'>

  <!-- Custom styles for this template -->
  <link href="{% static 'css/clean-blog.min.css' %}" rel="stylesheet"></html>

templates/footer.html
<footer>
    <div class="container">
      <div class="row">
        <div class="col-lg-8 col-md-10 mx-auto">
          <ul class="list-inline text-center">
            <li class="list-inline-item">
              <a href="#">
                <span class="fa-stack fa-lg">
                  <i class="fas fa-circle fa-stack-2x"></i>
                  <i class="fab fa-twitter fa-stack-1x fa-inverse"></i>
                </span>
              </a>
            </li>
            <li class="list-inline-item">
              <a href="#">
                <span class="fa-stack fa-lg">
                  <i class="fas fa-circle fa-stack-2x"></i>
                  <i class="fab fa-facebook-f fa-stack-1x fa-inverse"></i>
                </span>
              </a>
            </li>
            <li class="list-inline-item">
              <a href="#">
                <span class="fa-stack fa-lg">
                  <i class="fas fa-circle fa-stack-2x"></i>
                  <i class="fab fa-github fa-stack-1x fa-inverse"></i>
                </span>
              </a>
            </li>
          </ul>
          <p class="copyright text-muted">Copyright &copy; Your Website 2020</p>
        </div>
      </div>
    </div>
  </footer>

templates/header.html
{% load static %}
{% load base_tags %}
  <!-- Navigation -->
  <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
    <div class="container">
      <a class="navbar-brand" href="{% url 'blog:home' %}">{% title %}</a>
      <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
        Menu
        <i class="fas fa-bars"></i>
      </button>
        {% Category_navbar %}
    </div>
  </nav>

templates/jsccripts.html
  {% load static %}
  <!-- Bootstrap core JavaScript -->
  <script src="{% static 'vendor/jquery/jquery.min.js' %}"></script>
  <script src="{% static 'vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

  <!-- Custom scripts for this template -->
  <script src="{% static 'js/clean-blog.min.js' %}"></script>